Subject: Re: More on git over HTTP POST

From: "Shawn O. Pearce" <[email-masked]>
Date: Sat, 2 Aug 2008 14:08:28 -0700

Daniel Stenberg <[email-masked]> wrote:
> On Sat, 2 Aug 2008, Shawn O. Pearce wrote:
>
>> Well, over git:// (or any protocol that wraps git:// like ssh) we 
>> assume a full-duplex channel.  Some proxy systems are able to do such a 
>> channel. HTTP however does not offer it.
>
> Yes it does. The CONNECT method is used to get a full-duplex channel to a 
> remote site through a HTTP proxy. The downside with that is of course 
> that most proxies are setup to disallow CONNECT to other ports than 443 
> (the https default port).

Ah, yes.  CONNECT.  Very few servers wind up supporting it I think.

I know one very big company who cannot use or support Git because
Git over HTTP is too slow to be useful.  They support other tools
like Subversion instead.  :-|

Really we just need smart protocol support in half-duplex RPC like
hpa was going after.  Then it doesn't matter what we serialize it
into, almost any RPC system will be useful.  Of course the only
one that probably matters in practice is HTTP.

-- 
Shawn.